Bug 14964 - Email notices will be queued for patrons with no email address
Summary: Email notices will be queued for patrons with no email address
Status: In Discussion
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-06 12:30 UTC by Kyle M Hall
Modified: 2015-12-23 19:14 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14964 - Email notices will be queued for patrons with no email address (2.09 KB, patch)
2015-10-06 12:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14964 - Email notices will be queued for patrons with no email address (2.10 KB, patch)
2015-10-06 12:42 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-10-06 12:30:14 UTC
If a patron has email messaging preferences set but no email address, a message will be added to the message queue anyway, but will always end up 'failed'.

This could be resolved by modifying C4::Letters::enqueue to not enqueue call EnqueueLetter if the transport is email or sms and no to address is returned.
Comment 1 Kyle M Hall 2015-10-06 12:41:42 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-10-06 12:42:26 UTC
Created attachment 43162 [details] [review]
Bug 14964 - Email notices will be queued for patrons with no email address

If a patron has email messaging preferences set but no email address, a
message will be added to the message queue anyway, but will always end
up 'failed'.

This could be resolved by modifying C4::Letters::enqueue to not enqueue
call EnqueueLetter if the transport is email or sms and no to address is
returned.

Test Plan:
1) Set up patron with checkout messaging preference and no email address
2) Check out an item to the patron
3) Note the message in the message queue with no email address
4) Apply this patch
5) Check out an item to the patron
6) Note no message was queued this time
Comment 3 Marc Véron 2015-10-22 19:44:16 UTC
This functionality could be in conflict with:

Bug 12426 - Allow resending of emails from the notices tab in the patron account
Comment 4 Katrin Fischer 2015-10-22 20:23:08 UTC
Wondering... should we queue a message of the type 'print' if there is no e-mail address? I think this might be what we do for overdues
Comment 5 Katrin Fischer 2015-10-22 20:24:40 UTC
... but probably should be configurable - for some notices you might not want to have a printed one
Comment 6 Mark Tompsett 2015-10-28 14:12:34 UTC
I cringe at the lack of test coverage for C4::Message. *sigh*